org.apache.poi.hssf.usermodel

## Class HSSFHyperlink

- java.lang.Object
- - org.apache.poi.hssf.usermodel.HSSFHyperlink

- All Implemented Interfaces:
    Hyperlink

      public class HSSFHyperlink
      extends java.lang.Object
      implements Hyperlink

  Represents an Excel hyperlink.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected HyperlinkType` | `link_type` If we create a new hyperlink remember its type
    `protected HyperlinkRecord` | `record` Low-level record object that stores the actual hyperlink data

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `HSSFHyperlink(Hyperlink other)`
    `protected` | `HSSFHyperlink(HyperlinkRecord record)` Initialize the hyperlink by a `HyperlinkRecord` record
    `protected` | `HSSFHyperlink(HyperlinkType type)` Construct a new hyperlink This method is internal to be used only by `HSSFCreationHelper.createHyperlink(HyperlinkType)`.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object other)`
    `java.lang.String` | `getAddress()` Hyperlink address.
    `int` | `getFirstColumn()` Return the column of the first cell that contains the hyperlink
    `int` | `getFirstRow()` Return the row of the first cell that contains the hyperlink
    `java.lang.String` | `getLabel()` Return text label for this hyperlink
    `int` | `getLastColumn()` Return the column of the last cell that contains the hyperlink
    `int` | `getLastRow()` Return the row of the last cell that contains the hyperlink
    `java.lang.String` | `getShortFilename()`
    `java.lang.String` | `getTextMark()`
    `HyperlinkType` | `getType()` Return the type of this hyperlink
    `HyperlinkType` | `getTypeEnum()` Deprecated. use `getType()` instead
    `int` | `hashCode()`
    `void` | `setAddress(java.lang.String address)` Hyperlink address.
    `void` | `setFirstColumn(int col)` Set the column of the first cell that contains the hyperlink
    `void` | `setFirstRow(int row)` Set the row of the first cell that contains the hyperlink
    `void` | `setLabel(java.lang.String label)` Sets text label for this hyperlink
    `void` | `setLastColumn(int col)` Set the column of the last cell that contains the hyperlink
    `void` | `setLastRow(int row)` Set the row of the last cell that contains the hyperlink
    `void` | `setShortFilename(java.lang.String shortFilename)` Convenience method equivalent to `setAddress(String)`
    `void` | `setTextMark(java.lang.String textMark)` Convenience method equivalent to `setAddress(String)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### record

          protected final HyperlinkRecord record

      Low-level record object that stores the actual hyperlink data

    - #### link_type

          protected final HyperlinkType link_type

      If we create a new hyperlink remember its type

  - ### Constructor Detail

    - #### HSSFHyperlink

          @Internal(since="3.15 beta 3")
          protected HSSFHyperlink(HyperlinkType type)

      Construct a new hyperlink This method is internal to be used only by `HSSFCreationHelper.createHyperlink(HyperlinkType)`.
      Parameters:
        `type` - the type of hyperlink to create

    - #### HSSFHyperlink

          protected HSSFHyperlink(HyperlinkRecord record)

      Initialize the hyperlink by a `HyperlinkRecord` record
      Parameters:
        `record` -

    - #### HSSFHyperlink

          protected HSSFHyperlink(Hyperlink other)

  - ### Method Detail

    - #### getFirstRow

          public int getFirstRow()

      Return the row of the first cell that contains the hyperlink
      Returns:
        the 0-based row of the cell that contains the hyperlink

    - #### setFirstRow

          public void setFirstRow(int row)

      Set the row of the first cell that contains the hyperlink
      Parameters:
        `row` - the 0-based row of the first cell that contains the hyperlink

    - #### getLastRow

          public int getLastRow()

      Return the row of the last cell that contains the hyperlink
      Returns:
        the 0-based row of the last cell that contains the hyperlink

    - #### setLastRow

          public void setLastRow(int row)

      Set the row of the last cell that contains the hyperlink
      Parameters:
        `row` - the 0-based row of the last cell that contains the hyperlink

    - #### getFirstColumn

          public int getFirstColumn()

      Return the column of the first cell that contains the hyperlink
      Returns:
        the 0-based column of the first cell that contains the hyperlink

    - #### setFirstColumn

          public void setFirstColumn(int col)

      Set the column of the first cell that contains the hyperlink
      Parameters:
        `col` - the 0-based column of the first cell that contains the hyperlink

    - #### getLastColumn

          public int getLastColumn()

      Return the column of the last cell that contains the hyperlink
      Returns:
        the 0-based column of the last cell that contains the hyperlink

    - #### setLastColumn

          public void setLastColumn(int col)

      Set the column of the last cell that contains the hyperlink
      Parameters:
        `col` - the 0-based column of the last cell that contains the hyperlink

    - #### getAddress

          public java.lang.String getAddress()

      Hyperlink address. Depending on the hyperlink type it can be URL, e-mail, path to a file, etc.
      Specified by:
        `getAddress` in interface `Hyperlink`
      Returns:
        the address of this hyperlink

    - #### getTextMark

          public java.lang.String getTextMark()

    - #### setTextMark

          public void setTextMark(java.lang.String textMark)

      Convenience method equivalent to `setAddress(String)`
      Parameters:
        `textMark` - the place in worksheet this hyperlink refers to, e.g. 'Target Sheet'!A1'

    - #### getShortFilename

          public java.lang.String getShortFilename()

    - #### setShortFilename

          public void setShortFilename(java.lang.String shortFilename)

      Convenience method equivalent to `setAddress(String)`
      Parameters:
        `shortFilename` - the path to a file this hyperlink points to, e.g. 'readme.txt'

    - #### setAddress

          public void setAddress(java.lang.String address)

      Hyperlink address. Depending on the hyperlink type it can be URL, e-mail, path to a file, etc.
      Specified by:
        `setAddress` in interface `Hyperlink`
      Parameters:
        `address` - the address of this hyperlink

    - #### getLabel

          public java.lang.String getLabel()

      Return text label for this hyperlink
      Specified by:
        `getLabel` in interface `Hyperlink`
      Returns:
        text to display

    - #### setLabel

          public void setLabel(java.lang.String label)

      Sets text label for this hyperlink
      Specified by:
        `setLabel` in interface `Hyperlink`
      Parameters:
        `label` - text label for this hyperlink

    - #### getType

          public HyperlinkType getType()

      Return the type of this hyperlink
      Specified by:
        `getType` in interface `Hyperlink`
      Returns:
        the type of this hyperlink
      See Also:
        `HyperlinkType.forInt(int)`

    - #### getTypeEnum

          @Deprecated
           @Removal(version="4.2")
          public HyperlinkType getTypeEnum()

      Deprecated. use `getType()` instead
      Return the type of this hyperlink
      Specified by:
        `getTypeEnum` in interface `Hyperlink`
      Returns:
        the type of this hyperlink

    - #### equals

          public boolean equals(java.lang.Object other)

      Overrides:
        `equals` in class `java.lang.Object`
      Returns:
        whether the objects have the same HyperlinkRecord

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.